## 对 qq.py 做出贡献

首先，感谢你抽出宝贵时间做出贡献。它将改善本库。:+1:

以下是为库做出贡献的一些准则。这些是方针，而不是硬性规定。

## 这太多了！我想问个问题！

一般来说，问题更适合我们下面的资源。

- 帮助 QQ 群 - 583799186
- 官方QQ频道开发者频道
- [文档中的常见问题](https://qqpy.readthedocs.io/zh_CN/latest/faq.html)

请尝试不要在问题跟踪器中提问。问题有可能不属于那里，除非你觉得这个问题的受众是大部分用户。

## 良好的错误报告

提交错误报告时，请注意以下事项。

1. 不要打开重复的问题。请搜索你的问题，看看它是否已经被问过。重复的问题将被关闭。
2. 在提交有关异常或追踪的错误时，请包括完整的 traceback 。如果没有完整的 traceback ，问题可能无法解决，你将被要求提供更多信息。
3. 确保提供足够的信息以使问题可行。问题模板通常会引导你完成整个过程，但此处也列举了它们：
    - 错误报告的 **摘要** 。这通常是一两句话，可以用人类的语言来描述问题。
    - 有关如何 **重现问题的指南** 。理想情况下，这应该有一个小的代码示例，允许我们运行并查看问题以供自己调试。请确保 **不显示令牌** 。如果你无法提供代码片段，请告诉我们步骤是什么、发生的频率等。
    - 告诉我们你 **预计会发生什么** 。这样我们就可以满足这个期望。
    - 告诉我们 **实际发生了什么** 。现实中最终会发生什么？说 “它崩溃了” 或 “它不起作用” 是没有帮助的。说它是如何失败的，你看到异常吗？它在崩溃之前做了什么？期望与现实有何不同？
    - 告诉我们有关 **你的环境的信息** 。你使用的是什么版本的 qq.py？它是如何安装的？你在什么操作系统上运行？这些是我们使用的有价值的问题和信息。

如果错误报告缺少此信息，那么我们将需要更长的时间来解决问题。我们可能会要求更多资讯，如果长期没有回应，问题将被关闭。

## 提交 Pull requests

提交拉取请求相当简单，只要确保它专注于一个方面并且不会出现大范围蔓延。
如果风格与项目中的风格一致，那就更好了的。该项目遵循 PEP-8 准则（大部分是），列限制为 125。

### Git 提交指南

- 将所有行限制为 72 个字符或更少。
- 在第一行之外引用问题或拉取请求。
    - 请使用简写 “#123” 而不是完整的 URL。

如果你不符合这些准则中的任何一条，请不要担心。很有可能它们会在 rebase 后修复，但请尽量满足它们以减少一些工作量。
